Subject: Re: bug#6637: 24.0.50; kill ring being seriously polluted

From: Angelo Graziosi <[email-masked]>
Date: Sat, 17 Jul 2010 01:59:19 +0200

Chong Yidong wrote:
> Tim Van Holder <address@hidden> writes:
>
>> 1) emacs -Q
>> 2) Holding the shift key, press the up arrow until you're at the top
>> of the buffer
>> 3) Release the shift key and press the down arrow until you're back at
>> the bottom of the buffer
>> 4) Press C-y
>>
>> This yanks in the comment lines, even though I at no point requested a
>> kill or copy-as-kill.
>
> Go to any X application (firefox, etc) with a text field.
> Holding shift, press the arrow keys and select some text.
> Release shift, and press another down arrow to deselect it.
>
> In Emacs 23 (in the absence of latest changes):

Emacs 23 or 24?

>
> Run `emacs -Q'.
> C-y
>
> The text you selected is yanked into the buffer.  This is because the

I have done *exactly* what you suggest on Kubuntu 10.04, with GTK build 
of Emacs24 trunk rev.100832: it DOS NOT paste the selected text but 
garbage (something in the clipboard form previous selections...)

Since this announcement [*], Copy/Pasting does not seem working right :(.

Ciao,
Angelo.

---
[*] http://lists.gnu.org/archive/html/emacs-devel/2010-07/msg00720.html

> other X application put your selected text in the primary selection.
> How is the behavior of Emacs' new shift selection different from the
> other X application's shift selection?